## scowl 6

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	$<
 
 working/abbreviations.lst.pre: src/make-abbreviations.lst.pre \
+  src/add-affixes \
   working/all.lst working/known-upper.lst l/abbreviations/* \
   r/special/never-abbreviations
 	$<
@@ -119,6 +120,19 @@
   r/alt12dicts/$(b).lst): src/proc-alt12dicts
 	$<
 
+r/alt12dicts/3esl.lst: r/alt12dicts/3esl.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+r/alt12dicts/2of4brif.lst: r/alt12dicts/2of4brif.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+r/alt12dicts/5desk.lst: r/alt12dicts/5desk.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+r/alt12dicts/signature.lst: r/alt12dicts/signature.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+#
 #r/ispell/all.0 r/ispell/all.1: r/ispell/all.%: \
 #  src/make-ispell-all.lst 
 #	$< $*
@@ -129,11 +143,11 @@
 #src/proc-12dicts r/12dicts/6of12.txt
 #	src/proc-12dicts
 
-r/varcon/american.lst r/varcon/british.lst r/varcon/canadian.lst r/varcon/common.lst: \
-  r/varcon/split r/varcon/abc.tab
+r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst r/varcon/common.lst: \
+  r/varcon/split r/varcon/abbc.tab
 	cd r/varcon; ./split
 
-r/varcon/variant.tab: r/varcon/make-variant r/varcon/abc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
+r/varcon/variant.tab: r/varcon/make-variant r/varcon/abbc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
 	cd r/varcon; ./make-variant no-infl
 
 r/ukacd/deaccented.lst: src/make-ukacd-deaccented.lst \
