## scowl 7.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,13 @@
+#
+# Make dam sure that the locale is set to C
+#
+
+LANG=C
+LC_ALL=C
+LC_CTYPE=C
+LC_COLLATE=C
+export LANG LC_ALL LC_CTYPE LC_COLLATE
+
 #
 # Special targets
 #
@@ -8,11 +18,19 @@
 
 .PHONY: all
 all: $(foreach l, $(levels), final/english-words.$(l)) \
-  final/special-roman-numerals.35 final/special-hacker.50
+  final/special-roman-numerals.35 final/special-hacker.50 \
+  README
 
 .PHONY: clean
 clean:
 	rm -f working/* $(programs) r/varcon/*.lst r/varcon/variant.tab r/mwords/*.lst r/alt12dicts/*.lst r/ispell/all.* r/pos/word.lst r/uk-freq-class/uk.?? r/census/*.lst
+
+#
+# README
+#
+
+README: src/make-README $(foreach l, $(levels), final/english-words.$(l))
+	src/make-README
 
 #
 # Actual word list creation
@@ -38,7 +56,7 @@
    src/make-final working/with-accents.lst src/add-accents                 \
    $(shell src/list-combin working/ $(1).pre)                              \
    $(shell src/list-combin working/ $(shell src/get-level prev $(1)).pre); \
-	src/make-final $(1)
+	src/make-final  $(1)
 -include working/make_final.mk
 
 #
@@ -46,15 +64,21 @@
 #
 
 working/all.lst working/all.lst-unfiltered: \
-  src/make-all.lst $(shell find l/supplement/ l/add-affixes/ -type l)
+  src/make-all.lst $(shell find l/supplement/ l/add-affixes/ l/add-possessive -type l)
 	$<
 
 working/variant_0.lst working/variant_1.lst working/variant_2.lst: \
   src/make-variant.lst         r/alt12dicts/variant-also.lst \
   r/alt12dicts/variant-yes.lst r/alt12dicts/variant-maybe.lst \
   r/infl/variant_0.lst  r/infl/variant_1.lst  r/infl/variant_2.lst \
+  r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst \
+  r/varcon/w_variant-amer.lst r/varcon/w_variant-nonamer.lst  \
   r/special/variant_0  r/special/variant_1  r/special/variant_2 \
   r/special/never-variant
+	touch working/possessive-also.lst
+	$<
+	rm working/possessive-also.lst
+	$(MAKE) working/possessive-also.lst
 	$<
 
 working/contractions.lst: src/make-contractions.lst working/words.80
@@ -80,17 +104,16 @@
 	$<
 
 working/upper.lst: src/make-upper.lst \
-  src/add-possessive working/possessive.lst \
+  src/add-affixes working/possessive-also.lst \
   working/known-upper.lst working/abbreviations.lst
 	$<
 
-working/possessive.lst: src/make-possessive.lst src/extract-possessive \
-  r/pos/part-of-speech.txt working/abbreviations.lst.pre \
-  working/proper-names.lst
+working/possessive-also.lst: src/make-possessive.lst r/special/add-possessive \
+  working/abbreviations.lst.pre working/proper-names.lst
 	$<
 
 working/with-accents.lst working/without-accents.lst: \
-  src/make-accent-lists src/deaccent src/find-accented l/accented/*
+  src/make-accent-lists src/deaccent src/find-accented l/accented/squashed-accented.lst
 	$<
 
 # 
@@ -143,22 +166,26 @@
 #src/proc-12dicts r/12dicts/6of12.txt
 #	src/proc-12dicts
 
-r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst r/varcon/common.lst: \
-  r/varcon/split r/varcon/abbc.tab
+r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst: \
+  r/varcon/split r/varcon/varcon.txt
 	cd r/varcon; ./split
 
-r/varcon/variant.tab: r/varcon/make-variant r/varcon/abbc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
+r/varcon/w_variant-amer.lst r/varcon/w_variant-nonamer.lst: \
+  r/varcon/split r/varcon/varcon.txt
+	cd r/varcon; ./w_variant
+
+r/varcon/variant.tab: r/varcon/make-variant r/varcon/varcon.txt r/varcon/variant-also.tab r/varcon/variant-infl.tab
 	cd r/varcon; ./make-variant no-infl
 
 r/ukacd/deaccented.lst: src/make-ukacd-deaccented.lst \
-  r/ukacd/UKACD17.TXT src/deaccent
+  r/ukacd/ukacd17.txt src/deaccent
 	$<
 
 r/ukacd/squashed.lst: src/make-ukacd-squashed.lst r/ukacd/deaccented.lst
 	$<
 
 r/ukacd/squashed-accented.lst: \
-  src/make-ukacd-squashed-accented.lst r/ukacd/UKACD17.TXT
+  src/make-ukacd-squashed-accented.lst r/ukacd/ukacd17.txt
 	$<
 
 r/pos/word.lst: r/pos/part-of-speech.txt
