## scowl 2017.01.22

=== debian/changelog ===
scowl (2017.01.22-1) experimental; urgency=low

  * New upstream release
  * Include the proper variant spelling into the proper language (Closes:
    #659841). Thanks to Drew Parsons.
  * Sort using LC_ALL=C to make builds reproducible. (Closes: #791851).
    Thanks to Reiner Herrmann.
  * Remove non-word mys (Closes: #858961). Thanks to Josh Triplett.
  * Switch to dh $@ style packaging
  * Switch to quilt packaging

 -- Don Armstrong <don@debian.org>  Sun, 09 Apr 2017 15:25:00 -0700

scowl (7.1-1) unstable; urgency=low

  * New upstream release
    - Move dieing to english-words.80 (Closes: #515896)
    - Modularises is in english-words.80 (Closes: #634824)
  * Remove uniprocessorunix, thanks to Dean Menezes (Closes: #530456)
  * afterward and afterwards are both perfectly legitimate english words;
    add them to english-words.10 (Closes: #564032)
  * Add unices, unixen to hacker list; add unixes to english-words.95,
    thanks to Dean Menezes (Closes: #530457)
  * Add analyses (plural of analysis) (Closes: #570718). Thanks to Benoit
    Sibaud.
  * Deprecate irregardless slightly (Closes: #584076)
  * Stick prepend into american words even though it is computer
    jargon (Closes: #402055)

 -- Don Armstrong <don@debian.org>  Wed, 12 Oct 2011 14:44:02 -0700

scowl (6-3) unstable; urgency=low

  * Encode in UTF-8, thanks to Marc Fournier (Closes: #470463)
  * Kill off triple letter misspellings, thanks to Justin B Rye (Closes:
    #304501).
  * Fix supr{essed,ising} issues in english-words.95, thanks to Jidanni
    (closes: #521229)
  * Sanitize the makefile to not be so repetitive
  * Add -insane package to include the .95 wordlists
  * Include hacker special wordlist in the insane dictionaries
  * Add homepage field
  * Update standards version

 -- Don Armstrong <don@debian.org>  Sun, 29 Mar 2009 23:59:43 -0700

scowl (6-2.3) unstable; urgency=low

  * Taking over this package (Closes: #487734)
  * Fix the building of -huge binaries (Closes: #346113) [Thanks to Jason
    Rhinelander <jagerman@jagerman.com> for a patch, though I actually
    implemented myself without seeing his.]
  
 -- Don Armstrong <don@debian.org>  Thu, 03 Jul 2008 18:16:08 -0700

scowl (6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make wamerican no longer depend on dictionaries-common, while
    using its features if present: (Closes: #487977).
    - wamerican.links: Install /usr/share/dict/words link to
      american-english.
    - wamerican.post{inst,rm}: Run dictionaries-common stuff only
      if available.
    - wamerican.config: Check that dictionaries-common is installed
      and a recent version (having elanguages support) before trying
      to use it.
    - debian/rules: Do not auto-generate maintainer scripts for
      wamerican, but use the new hardcoded ones. Split
      installdeb-wordlist stuff for wamerican and the rest of the
      wordlists, moving both to the install target.
    - debian/control: Remove dictionaries-common dependency and
      include a conflicts against dictionaries-common (<< 0.98) where
      /usr/share/dict/words link diversion is included.
  * debian/control:
    - Bumped Standards-Version to 3.7.3. No changes needed.
    - Moved debhelper dependency from Build-Depends-Indep to
      Build-Depends. debhelper is required to run the clean target
      of debian/rules (Policy Manual, section 7.6).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Jun 2008 12:24:26 +0200

scowl (6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bumped Standards-Version to 3.7.2. No changes needed.
  * debian/compat now is 5.
  * Apply patch from Tom Parker <debian@tevp.net>, to stop Scowl generated
    packages to erronously depend on debconf twice, and to allow for
    debconf-2.0 as an alternate, thus blocking the cedebconf transition
    (Closes: #393455).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 27 Jan 2007 18:38:03 +0100

scowl (6-2) unstable; urgency=low

  * debian/rules: remove a ${!VAR} bashism; replace with eval(...)
    Closes: #207102 scowl: debian/rules script contains bashisms

 -- David Coe <davidc@debian.org>  Fri, 14 Oct 2005 22:00:22 -0400

scowl (6-1) unstable; urgency=low

  * New upstream release.
    Closes: #333207 wamerican-large: new upstream release 6 available
  * debian/rules and debian/control: Added -huge versions of the
    american, canadian, and british word lists. Upstream word lists are
    now better organized; we take advantage of that by adding the new
    size "40" word lists to the standard lists, the size "55" word lists
    to the -large lists, and the size "80" word lists to the (new) -huge
    lists.
    Closes: #317422 dictionaries-common: sightlines/metallicity
    "Sightlines" is now in the -huge lists; "metallicity" is only in the
    upstream size "95" lists, so (by my policy) even the -huge lists
    won't include it.  If you want that, and all the other really odd
    words, please install and use the Debian "scowl" package.
  * Added "Debian" and "Debian's" to english-proper-names.50, which
    gets them into the standard, -large, and -huge lists.
    If Microsoft is there (it is), we should be too ;).
    Closes: #327749: wamerican: should include "debian" in wordlist
  * debian/control:
    - standards version 3.6.2 (no changes required)
    - removed the 'wenglish' dummy package
      Closes: #322072 wenglish: Dummy package still needed?
      Closes: #286583 wenglish: typo in package description
  * debian/copyright: updated copyright (some additions from
    latest upstream README).

 -- David Coe <davidc@debian.org>  Fri, 14 Oct 2005 01:00:03 -0400

scowl (5-4) unstable; urgency=low

  * debian/control: depend [and build-depend] on newer
    dictionaries-common[-dev] (>=0.20).
    Closes: #232166 "Please update your ... package(s) to new .config system"
  * debian/control; bump standards-version; no changes required.

