=== debian/control ===
Source: scowl
Maintainer: Don Armstrong <don@debian.org>
Section: text
Priority: standard
Standards-Version: 3.9.2
Build-Depends: debhelper
Build-Depends-Indep: dictionaries-common-dev
Homepage: http://wordlist.sourceforge.net/

Package: scowl
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Description: Spell-Checker Oriented Word Lists
 The SCOWL is a collection of word lists organized by word popularity,
 language, word class, and other factors.  These lists can be
 combined in various ways (or used individually) for spell checking
 and similar purposes.
 .
 The Debian wamerican*, wbritish*, and wcanadian* wordlist packages
 are built from (appropriate collections of) these same lists.  Install
 one (or more) of those packages if you want a comprehensive word list;
 install scowl if you (also) want to pick and choose the pieces that
 comprise those lists.
 .
 You can learn more about SCOWL (and other English word lists) at
 http://wordlist.sourceforge.net/

Package: wamerican
Architecture: all
Priority: standard
Depends: ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large, and -huge versions of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-small
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-small
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wamerican; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge version of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-large
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-large
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wamerican; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge version of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-huge
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-huge
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wamerican-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-insane
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-insane
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wcanadian* packages as well.


Package: wbritish
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large, and -huge versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-small
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-small
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wbritish; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge version of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-large
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-large
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wbritish; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-huge
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-huge
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wbritish-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-insane
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-insane
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wbritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wcanadian
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-small
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-small
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wcanadian; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-large
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-large
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wcanadian; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-huge
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-huge
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wcanadian-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-insane
Architecture: all
Section: text
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-insane
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wcanadian-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wamerican* packages as well.
