=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*- $Id: rules,v 1.18 2005/10/15 03:03:48 david Exp $
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Customized 27 Oct 1999 by David Coe for wenglish, later moved to scowl
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# In addition to the scowl binary package, we create wamerican-small, wamerican, wamerican-large, wamerican-huge, and the
# corresponding packages for wbritish and wcanadian.
# The medium size packages have no -size part in their names
# These are the scowl extensions (complexity numbers?) that contribute to each word list (i.e. each size);
# the -size parts "-small", "", "-large", and "-huge" correspond to the end of the binary package name:
empty:=
SIZES=small "" large huge insane
SIZE_EXTENSIONS_small:=10 20 35
SIZE_EXTENSIONS:=$(SIZE_EXTENSIONS_small) 40 50
SIZE_EXTENSIONS_large:=$(SIZE_EXTENSIONS) 55 60 70
SIZE_EXTENSIONS_huge:=$(SIZE_EXTENSIONS_large) 80
SIZE_EXTENSIONS_insane:=$(SIZE_EXTENSIONS_huge) 95
export SIZE_EXTENSIONS_small
export SIZE_EXTENSIONS
export SIZE_EXTENSIONS_large
export SIZE_EXTENSIONS_huge
export SIZE_EXTENSIONS_insane

SPELLINGS:= american british canadian

# These are the scowl word list classes we use:
CLASSES:=words proper-names upper contractions
VARIANTS:=0 1

%:
	dh $@

build:
	set -e;\
	for SPELLING in $(SPELLINGS); do\
	  for SIZE in $(SIZES); do\
	    if [ -n "$$SIZE" ]; then SIZE_NAME="_$$SIZE"; SIZE="-$$SIZE"; else SIZE_NAME=""; SIZE=""; fi; \
	    echo "The following SCOWL word lists were concatenated and sorted (with duplicates" > w$$SPELLING$$SIZE.scowl-word-lists-used;\
	    echo "removed) to create this word list (see README.Debian for more details):" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
	    for CLASS in $(CLASSES); do\
	      for EXT in $$(eval echo "\$$""SIZE_EXTENSIONS$$SIZE_NAME"); do\
		echo "class $$CLASS ext $$EXT size name $$SIZE_NAME"; \
		if [ -f final/english-$$CLASS.$$EXT ]; then\
		  echo "cat final/english-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		  cat final/english-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		  echo "  english-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		fi;\
		for VARIANT in $(VARIANTS); do\
		  VARIANT_FILE="$${SPELLING}_"; \
		  if [ "$$VARIANT_FILE" = "american_" ]; then \
			VARIANT_FILE=""; \
		  fi; \
		  if [ -f final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT ]; then\
		    echo "cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		    cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		    echo "  $${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		  fi;\
		done;\
		if [ "$$SIZE" = "insane" ]; then\
		  for VARIANT in $(VARIANTS); do\
		    for VARIANT_FILE in $(SPELLINGS); do \
		      VARIANT_FILE="$${VARIANT_FILE}_"; \
		      if [ "$$VARIANT_FILE" = "american_" ]; then \
		   	VARIANT_FILE=""; \
		      fi; \
		      if [ -f final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT ]; then\
		        echo "cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		        cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		        echo "  $${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		      fi;\
		    done; \
                  done; \
		  for special in final/special_*.$$CLASS; do \
		    echo "cat $$special >> $$SPELLING-english$$SIZE.unsorted";\
		    cat $$special >> $$SPELLING-english$$SIZE.unsorted;\
		    echo "  $$special" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		  done;\
		fi;\
		if [ -f final/$$SPELLING-$$CLASS.$$EXT ]; then\
		  echo "cat final/$$SPELLING-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		  cat final/$$SPELLING-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		  echo "  $$SPELLING-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		fi;\
	      done;\
	    done;\
	  echo "cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -u | iconv -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted";\
	  cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -u | iconv -f 'iso8859-1' -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted;\
	  done;\
	done


override_dh_auto_clean:
	set -e;\
	for SIZE in $(SIZES); do\
	  if [ -n "$$SIZE" ]; then SIZE="-$$SIZE"; fi; \
	  for SPELLING in $(SPELLINGS); do\
	    rm -f $$SPELLING-english$$SIZE.unsorted $$SPELLING-english$$SIZE $$SPELLING-english$$SIZE.5 w$$SPELLING$$SIZE.scowl-word-lists-used;\
	  done;\
	done

INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))

override_dh_auto_install: install build

override_dh_auto_build: 

install: build install-scowl $(INSTALL_WORDLISTS)
	installdeb-wordlist -pwamerican --noscripts
	installdeb-wordlist --no-package=wamerican --no-package=scowl

install-scowl:
	dh_installdirs --package=scowl

	dh_install --package=scowl final/*.[0-9][0-9] usr/share/dict/scowl
	dh_installdocs --package=scowl README debian/README.Debian



override_dh_auto_test:
	echo "doing nothing";


WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')
$(INSTALL_WORDLISTS): install-%: install-scowl
	dh_testdir
	dh_testroot
	dh_installdirs --package=$(*) usr/share/dict
	dh_install --package=$(*) $(shell echo $(*)|sed -re	\
's/^w([a-z]*)(-*[a-z]*)/\1-english\2/') usr/share/dict
	dh_installdocs --package=$(*) $(*).scowl-word-lists-used debian/README.Debian
	sed "s/WORDLIST/$(WORDLIST)/g" < debian/wordlist_manpage_template > $(WORDLIST).5
	dh_installman --package=$(*) $(WORDLIST).5


# this is the install-w$(SPELLING)-$(VARIANT) rule
.PHONY: $(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size)))
