=== debian/changelog ===
scowl (2017.08.24-1) unstable; urgency=medium

  * New upstream release
  * Move sangs (plural of an obscure plant) to -95 (Closes: #861025).
    Thanks to Josh Triplett.
  * variant_0 and variant_1 are now _1 and _2; update rules to properly
    include them (Closes: #867586). Thanks to 積丹尼 Dan Jacobson.
  * build hunspell-en-{us,au,ca} from here. The versions in
    libreoffice-dictionaries are built from here anyway (closes: #795159,
    #874519, #879199). Thanks to Rene Engelhard for the patch.

 -- Don Armstrong <don@debian.org>  Fri, 20 Oct 2017 12:09:03 -0700
