=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Priority: standard
 Standards-Version: 3.9.2
 Build-Depends: debhelper
-Build-Depends-Indep: dictionaries-common-dev
+Build-Depends-Indep: dictionaries-common-dev, dos2unix, aspell
 Homepage: http://wordlist.sourceforge.net/
+Vcs-Browser: https://git.donarmstrong.com/deb_pkgs/scowl.git
+Vcs-Git: https://git.donarmstrong.com/deb_pkgs/scowl.git
 
 Package: scowl
 Architecture: all
@@ -280,3 +282,16 @@
  There are also -small and standard versions of this word list,
  and there are wbritish* and wamerican* packages as well.
 
+Package: hunspell-en-us
+Architecture: all
+Replaces: openoffice.org-spellcheck-en-us, myspell-en-us
+Provides: hunspell-dictionary, hunspell-dictionary-en, hunspell-dictionary-en-us
+Depends: dictionaries-common (>= 0.10)
+Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
+Conflicts: openoffice.org (<= 1.0.3-2), myspell-en-us, mozilla-browser (<< 1.8+1.1.1-2), iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), thunderbird (<< 2.0.0.1+dfsg-0), iceweasel (<< 2.0.0.3-2), icedove (<< 2.0.0.0-4), openoffice.org-core (<< 2.1~m190-1), libxul0d (= 1.8.0.11-3)
+Description: English_american dictionary for hunspell
+ This is the English_american dictionary for use with the hunspell spellchecker
+ .
+ Hunspell is a spell checker and morphological analyzer library and program
+ designed for languages with rich morphology and complex word compounding or
+ character encoding. It is based on MySpell and features an Ispell-like
