=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,9 @@
 
 # These are the scowl word list classes we use:
 CLASSES:=words proper-names upper contractions
-VARIANTS:=0 1
+VARIANTS:=1 2
+
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
@@ -95,7 +97,7 @@
 	  cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -u | iconv -f 'iso8859-1' -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted;\
 	  done;\
 	done
-
+	cd speller && $(MAKE) hunspell
 
 override_dh_auto_clean:
 	set -e;\
@@ -105,6 +107,7 @@
 	    rm -f $$SPELLING-english$$SIZE.unsorted $$SPELLING-english$$SIZE $$SPELLING-english$$SIZE.5 w$$SPELLING$$SIZE.scowl-word-lists-used;\
 	  done;\
 	done
+	cd speller && $(MAKE) clean
 
 INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))
 
@@ -122,10 +125,17 @@
 	dh_install --package=scowl final/*.[0-9][0-9] usr/share/dict/scowl
 	dh_installdocs --package=scowl README debian/README.Debian
 
-
+install-hunspell:
+	dh_install --package=hunspell-en-us
+	dh_install --package=hunspell-en-au
+	dh_install --package=hunspell-en-ca
 
 override_dh_auto_test:
 	echo "doing nothing";
+
+override_dh_gencontrol:
+	dh_gencontrol -Nhunspell-en-us -Nhunspell-en-au -Nhunspell-en-ca
+	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION_UPSTREAM)
 
 
 WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')
@@ -139,7 +149,6 @@
 	sed "s/WORDLIST/$(WORDLIST)/g" < debian/wordlist_manpage_template > $(WORDLIST).5
 	dh_installman --package=$(*) $(WORDLIST).5
 
-
 # this is the install-w$(SPELLING)-$(VARIANT) rule
 .PHONY: $(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size)))
