## scowl 2018.04.16

=== debian/changelog ===
scowl (2018.04.16-1) unstable; urgency=medium

  * New upstream release
  * Use $(DEB_VERSION) for hunspel-en-{us,au,ca} insead of
    $(DEB_VERSION_UPSTREAM) (Closes: #884921)
  * Fix failure to build reproducibly with new debhelper versions due to
    wrong install: and build: targets in Makefile. (Closes: #890618)
    Thanks to Chris Lamb.
  * Call install-myspell to register the hunspell dictionaries (Closes:
    #696777)
  * All of the packages we produce are Multi-Arch: foreign (Closes: #752589)
  * Update standard-version; no changes.

 -- Don Armstrong <don@debian.org>  Tue, 24 Apr 2018 16:08:24 -0700
