=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Don Armstrong <don@debian.org>
 Section: text
 Priority: standard
-Standards-Version: 3.9.2
+Standards-Version: 4.1.4
 Build-Depends: debhelper
 Build-Depends-Indep: dictionaries-common-dev, dos2unix, aspell
 Homepage: http://wordlist.sourceforge.net/
@@ -11,6 +11,7 @@
 
 Package: scowl
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: ${misc:Depends}
 Description: Spell-Checker Oriented Word Lists
@@ -30,6 +31,7 @@
 
 Package: wamerican
 Architecture: all
+Multi-Arch: foreign
 Priority: standard
 Depends: ${misc:Depends}
 Provides: wordlist
@@ -44,6 +46,7 @@
 
 Package: wamerican-small
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -61,6 +64,7 @@
 
 Package: wamerican-large
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -78,6 +82,7 @@
 
 Package: wamerican-huge
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -95,6 +100,7 @@
 
 Package: wamerican-insane
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -115,6 +121,7 @@
 
 Package: wbritish
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -129,6 +136,7 @@
 
 Package: wbritish-small
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -146,6 +154,7 @@
 
 Package: wbritish-large
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -163,6 +172,7 @@
 
 Package: wbritish-huge
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -180,6 +190,7 @@
 
 Package: wbritish-insane
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -199,6 +210,7 @@
 
 Package: wcanadian
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -213,6 +225,7 @@
 
 Package: wcanadian-small
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -230,6 +243,7 @@
 
 Package: wcanadian-large
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -247,6 +261,7 @@
 
 Package: wcanadian-huge
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -264,6 +279,7 @@
 
 Package: wcanadian-insane
 Architecture: all
+Multi-Arch: foreign
 Section: text
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
@@ -284,14 +300,9 @@
 
 Package: hunspell-en-us
 Architecture: all
+Multi-Arch: foreign
 Replaces: openoffice.org-spellcheck-en-us, myspell-en-us
 Provides: hunspell-dictionary, hunspell-dictionary-en, hunspell-dictionary-en-us
-Depends: dictionaries-common (>= 0.10)
+Depends: dictionaries-common (>= 0.10), ${misc:Depends}
 Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
 Conflicts: openoffice.org (<= 1.0.3-2), myspell-en-us, mozilla-browser (<< 1.8+1.1.1-2), iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), thunderbird (<< 2.0.0.1+dfsg-0), iceweasel (<< 2.0.0.3-2), icedove (<< 2.0.0.0-4), openoffice.org-core (<< 2.1~m190-1), libxul0d (= 1.8.0.11-3)
-Description: English_american dictionary for hunspell
- This is the English_american dictionary for use with the hunspell spellchecker
- .
- Hunspell is a spell checker and morphological analyzer library and program
- designed for languages with rich morphology and complex word compounding or
- character encoding. It is based on MySpell and features an Ispell-like
