=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 %:
 	dh $@
 
-build:
+override_dh_auto_build:
 	set -e;\
 	for SPELLING in $(SPELLINGS); do\
 	  for SIZE in $(SIZES); do\
@@ -111,13 +111,10 @@
 
 INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))
 
-override_dh_auto_install: install build
-
-override_dh_auto_build: 
-
-install: build install-scowl $(INSTALL_WORDLISTS)
+override_dh_auto_install: install-scowl install-hunspell $(INSTALL_WORDLISTS)
 	installdeb-wordlist -pwamerican --noscripts
-	installdeb-wordlist --no-package=wamerican --no-package=scowl
+	installdeb-wordlist --no-package=wamerican --no-package=scowl --no-package=hunspell-en-us --no-package=hunspell-en-au --no-package=hunspell-en-ca
+	installdeb-hunspell -phunspell-en-ca -phunspell-en-au -phunspell-en-us
 
 install-scowl:
 	dh_installdirs --package=scowl
@@ -135,7 +132,7 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -Nhunspell-en-us -Nhunspell-en-au -Nhunspell-en-ca
-	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION_UPSTREAM)
+	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION)
 
 
 WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')
