## scowl 2019.10.06

=== src/Makefile ===

%: %.cc
	g++ -O $*.cc -o $*

deaccent: deaccent.cc
find-accented: find-accented.cc
