=== debian/changelog ===
scowl (2019.10.06-1) unstable; urgency=medium

  * New upstream release (Closes: #952736)
  * Deprecate reprized for reprised (Closes: #952653)
  * Use up to 70 wordlists for hunspell (Closes: #933544)
  * Distribute all scowl files as utf-8 (Closes: #775480)

 -- Don Armstrong <don@debian.org>  Sat, 29 Feb 2020 20:07:46 -0800
