=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,11 @@
 	dh $@
 
 override_dh_auto_build:
+	set -e; \
+	mkdir -p final_utf8;\
+	for file in final/*.[0-9][0-9]; do\
+		iconv -f 'iso8859-1' -t 'utf-8' < $${file} > final_utf8/$$(basename $${file}); \
+	done;
 	set -e;\
 	for SPELLING in $(SPELLINGS); do\
 	  for SIZE in $(SIZES); do\
@@ -100,6 +105,7 @@
 	cd speller && $(MAKE) hunspell
 
 override_dh_auto_clean:
+	rm -rf final_utf8;
 	set -e;\
 	for SIZE in $(SIZES); do\
 	  if [ -n "$$SIZE" ]; then SIZE="-$$SIZE"; fi; \
@@ -119,7 +125,7 @@
 install-scowl:
 	dh_installdirs --package=scowl
 
-	dh_install --package=scowl final/*.[0-9][0-9] usr/share/dict/scowl
+	dh_install --package=scowl final_utf8/*.[0-9][0-9] usr/share/dict/scowl
 	dh_installdocs --package=scowl README debian/README.Debian
 
 install-hunspell:
