=== debian/watch ===
version=3
http://sf.net/wordlist/scowl-(.+)\.tar\.gz
